#
# spec file for package python3-keepalive
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           python3-keepalive
Version:        0.5
Release:        1.2
Summary:        Urllib keepalive support
License:        LGPL-2.1+
Group:          Development/Languages/Python
Url:            https://github.com/wikier/keepalive
Source:         https://files.pythonhosted.org/packages/source/k/keepalive/keepalive-%{version}.tar.gz
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch

%description
An HTTP handler for urllib2 that supports HTTP 1.1 and keepalive.

%prep
%setup -q -n keepalive-%{version}

%build
python3 setup.py build

%install
python3 setup.py install --prefix=%{_prefix} --root=%{buildroot}

%files
%defattr(-,root,root,-)
%{python3_sitelib}/*

%changelog
* Sun May  8 2016 arun@gmx.de
- specfile:
  * updated source url to files.pythonhosted.org
* Fri Nov 27 2015 arun@gmx.de
- update to version 0.5:
  * fixed the usage some urllib.Request getters also on POST requests,
    see commit 018f118 for further context (issue #2)
  * b'' prefix is already known by py 2.6, so upgraded setup
    meta-information (issue #2)
  * more specific python versions because the patch introduced by
    issue #2
  * trying to fix issue #2 by resorting to the b string prefix, which
    raises the minimum python version to >=2.7
* Thu Nov  5 2015 arun@gmx.de
- specfile:
  * updated license
- update to version 0.4.1:
  * aded license header to the setup.py file
  * fixed missing import
  * prepared next dev iteration, that this time yes I hope it wouldn't
    need to happen...
- changes from version 0.4:
  * added module __version__ metadata as discussed in
    rdflib/sparqlwrapper#65
  * updated license headers
  * improved patch from 018f1180845160ef72b5fe50c9efbf4fed7da53e to
    address the issue identified by @xflr6 in RDFLib/sparqlwrapper#65
    patched to void TypeError exceptions (Can't convert 'bytes' object
    to str implicitly) in Python 3.x
  * better wording
  * updated meta information
- changes from version 0.3:
  * removed usage some urllib.Request getters that were deprecated in
    3.3 and removed in 3.4, see:
    https://docs.python.org/3.3/library/urllib.request.html#request-objects
  * added 2to3 support
  * patched ssl factory support
  * imported newer version (from 2006):
* Wed Nov  4 2015 arun@gmx.de
- update to version 0.1.1:
  (no changelog available)
* Tue Nov  3 2015 arun@gmx.de
- initial version
